Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.actions
Class BaseAppAction

    java.lang.Object
      oracle.ifs.utils.action.AbstractAction
          oracle.ifs.admin.actions.BaseAppAction

All Implemented Interfaces:
  Action, IfsParameters

Direct Known Subclasses:
  AdminManagerAction, CreateClassesAction, CreateFolderIndexAction, CreateIfsUsersAction, CreatePasswordCredentialAction, CredentialManagerAction, DomainConfigurationAction, DropFolderIndexAction, IterateSCsCredentialManagerAction, PolicyManagerAction, ScriptOperationsAction, StartServiceAction, UpdateFolderIndexAction, VerifyMediaAction

    public abstract class BaseAppAction

extends AbstractAction
implements IfsParameters

The BaseAppAction class provides an abstract Action implementation that executes classes that extend BaseApp.

Note: this class should be extended to implement the execute method, which runs whatever method that starts the BaseApp class.

(Unpublished)
Modified:
  dpitfiel02/25/2009 Generalized suppression of passwords logging., sgarg 02/24/2004 Made use of constants from IfsParameters, sgarg 06/26/2001 Fixed bug# 1853176, sgarg 06/11/2001 Fixed bug# 1801799. This time "jdbc.user.password", sgarg 05/24/2001 Fixed bug# 1801799, lsaenz 03/19/2001 Added throws ActionFailedException to execute., lsaenz 08/19/2000 Added setService, setSchemaPassword methods; changed setUsername to setUser; cleaned up., lsaenz 08/02/2000 Added empty implementation for failed method., lsaenz 07/10/2000 Changed to extend AbstractAction; changed name to BaseAppAction; use IfsParameters., lsaenz 03/17/2000 Removed debug output; printArguments methods., lsaenz 12/29/1999 Now prints arguments to BaseApp if DEBUG == true but hides "serverpassword" and "password" parameters from the output., lsaenz 12/03/1999 Added removeParameter()., lsaenz 11/17/1999 Created.

Field Summary

Fields inherited from class oracle.ifs.utils.action.AbstractAction
`CONTINUE_ON_ERROR, m_defaultOptions, m_options`

Fields inherited from interface oracle.ifs.utils.common.IfsParameters
`APPEND_LOG, DATABASE_URL, DB_USER_NAME, DB_USER_PASSWORD, DOMAIN_TYPE, ENABLE_SSL_SUPPORT, FOR_SCHEMA_UPGRADE, IFS_DOMAIN_DISPLAY_NAME, IFS_DOMAIN_NAME, IFS_SCHEMA_NAME, IFS_SCHEMA_PASSWORD, IFS_SERVICE_NAME, IFS_USER_NAME, IFS_USER_PASSWORD, INCLUDE_PATH, INITIAL_CONTEXT_FACTORY, LDAP_URL_DAS_LOOKUP, LDAP_USER_NAME, LDAP_USER_PASSWORD, OUTPUT_FILE, PARAMETER_FILE, REGISTRY, SCHEMA_VERSION_KEY, SECURITY_PROTOCOL_NAME, SERVICE_CONFIGURATION_NAME`

Constructor Summary
`BaseAppAction()` Creates a new BaseAppAction.

Method Summary
`protected abstract void` | `execute(java.lang.String[] args)` This method should be overridden to implement the actual execution of the BaseApp class.
`void` | `failed(java.lang.Throwable error)` Does nothing.
`protected java.lang.String[]` | `getArgs()` Returns the arguments that should be passed to the BaseApp's constructor.
`void` | `perform()` Runs the BaseApp.
`java.lang.Object` | `removeParameter(java.lang.String name)` Calls the Hashtable.remove method on the given parameter.
`void` | `setErrorFile(java.lang.String file)` Sets the "errorfile" parameter used by the BaseApp.
`void` | `setForSchemaUpgrade(boolean forSchemaUpgrade)` Sets the "forSchemaUpgrade" parameter used by the BaseApp.
`void` | `setIncludePath(java.lang.String path)` Sets the "IncludePath" parameter used by the BaseApp.
`void` | `setParameter(java.lang.String name, java.lang.String value)` Sets a parameter used by the BaseApp.
`void` | `setParameterFile(java.lang.String file)` Sets the "parameterfile" parameter used by the BaseApp.
`void` | `setPassword(java.lang.String pass)` Sets the "password" parameter used by the BaseApp.
`void` | `setSchemaPassword(java.lang.String schemaPassword)` Sets the "serverpassword" parameter used by the BaseApp.
`void` | `setService(java.lang.String service)` Sets the "server" parameter used by the BaseApp.
`void` | `setTraceFile(java.lang.String file)` Sets the "tracefile" parameter used by the BaseApp.
`void` | `setUser(java.lang.String user)` Sets the "username" parameter used by the BaseApp.
`void` | `stop()` Does nothing.

Methods inherited from class oracle.ifs.utils.action.AbstractAction
`getDescription, getName, getValue, isContinueOnError, putValue, setDefaultOptions, setDescription, setName, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseAppAction

    public BaseAppAction()

  Creates a new BaseAppAction.

Method Detail

### setParameter

    public void setParameter(java.lang.String name,
                             java.lang.String value)

  Description copied from class: `BaseAppAction`
  Sets a parameter used by the BaseApp.

  Parameters:
    `name` - the parameter.
    `value` - the parameter's value.

### removeParameter

    public java.lang.Object removeParameter(java.lang.String name)

  Description copied from class: `BaseAppAction`
  Calls the Hashtable.remove method on the given parameter.

  Parameters:
    `name` - the parameter to remove from the BaseApp's arguments.
  Returns:
    the value that the parameter was mapped to, or null if the parameter was not in the BaseApp's set of arguments.

### setParameterFile

    public void setParameterFile(java.lang.String file)

  Description copied from class: `BaseAppAction`
  Sets the "parameterfile" parameter used by the BaseApp.

  Parameters:
    `file` - the "def" file that should be read.

### setErrorFile

    public void setErrorFile(java.lang.String file)

  Description copied from class: `BaseAppAction`
  Sets the "errorfile" parameter used by the BaseApp.

  Parameters:
    `file` - the file used to record errors.

### setTraceFile

    public void setTraceFile(java.lang.String file)

  Description copied from class: `BaseAppAction`
  Sets the "tracefile" parameter used by the BaseApp.

  Parameters:
    `file` - the file that used to store the BaseApp's trace.

### setIncludePath

    public void setIncludePath(java.lang.String path)

  Description copied from class: `BaseAppAction`
  Sets the "IncludePath" parameter used by the BaseApp.

  Parameters:
    `path` - the path that should be searched.

### setUser

    public void setUser(java.lang.String user)

  Description copied from class: `BaseAppAction`
  Sets the "username" parameter used by the BaseApp.

  Parameters:
    `user` - the iFS user that the BaseApp should connect as.

### setPassword

    public void setPassword(java.lang.String pass)

  Description copied from class: `BaseAppAction`
  Sets the "password" parameter used by the BaseApp.

  Parameters:
    `pass` - the iFS user's password.

### setService

    public void setService(java.lang.String service)

  Description copied from class: `BaseAppAction`
  Sets the "server" parameter used by the BaseApp.

  Parameters:
    `service` - the iFS service name.

### setSchemaPassword

    public void setSchemaPassword(java.lang.String schemaPassword)

  Description copied from class: `BaseAppAction`
  Sets the "serverpassword" parameter used by the BaseApp.

  Parameters:
    `schemaPassword` - the iFS schema password.

### setForSchemaUpgrade

    public void setForSchemaUpgrade(boolean forSchemaUpgrade)

  Description copied from class: `BaseAppAction`
  Sets the "forSchemaUpgrade" parameter used by the BaseApp.

  Parameters:
    `forSchemaUpgrade` - whether the BaseApp's LibraryConnection will be for a schema upgrade.

### getArgs

    protected java.lang.String[] getArgs()

  Description copied from class: `BaseAppAction`
  Returns the arguments that should be passed to the BaseApp's constructor.

### perform

    public void perform()
                 throws ActionFailedException

  Description copied from class: `BaseAppAction`
  Runs the BaseApp. Calls the `execute` method, passing it the arguments that should be passed to the BaseApp's constructor.

  Specified by:
    `perform` in interface `Action`
  Throws:
    `ActionFailedException` - if the action could not be performed.

### execute

    protected abstract void execute(java.lang.String[] args)
                             throws IfsException,
                                    ActionFailedException

  Description copied from class: `BaseAppAction`
  This method should be overridden to implement the actual execution of the BaseApp class.

  Parameters:
    `args` - the arguments that should be passed to the BaseApp's constructor.
  Throws:
    `IfsException`
    `ActionFailedException`

### failed

    public void failed(java.lang.Throwable error)

  Description copied from class: `BaseAppAction`
  Does nothing.

  Specified by:
    `failed` in interface `Action`
  Parameters:
    `error` - the error that occurred.

### stop

    public void stop()

  Description copied from class: `BaseAppAction`
  Does nothing.

  Specified by:
    `stop` in interface `Action`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD